> ## Documentation Index
> Fetch the complete documentation index at: https://developer.nomba.com/llms.txt
> Use this file to discover all available pages before exploring further.

> Transfer funds from a specific sub-account to another Nomba account (P2P). Near-instant settlement with no external processor. Sub-account transfers must be enabled by Nomba before use.

# Perform wallet transfer from a sub account



## OpenAPI

````yaml post /v2/transfers/wallet/{subAccountId}
openapi: 3.0.1
info:
  description: ''
  title: Vendor API
  version: 1.0.0
servers:
  - description: Production
    url: https://api.nomba.com
  - description: Sandbox
    url: https://sandbox.nomba.com
security: []
tags:
  - name: Authenticate
  - name: Accounts
  - name: Virtual Accounts
  - name: Online Checkout
  - name: Charge
  - name: Transfers
  - name: Direct Debits
  - name: Terminals
  - name: Transactions
  - name: Airtime and Data Vending
  - name: Electricity Vending
  - name: CableTV Subscription
  - name: Betting Vending
paths:
  /v2/transfers/wallet/{subAccountId}:
    post:
      tags:
        - Transfers
      summary: Perform wallet transfer from a sub account
      description: >-
        You can use this endpoint to perform a wallet transfer from a sub
        account
      operationId: Perform wallet transfer from a sub account
      parameters:
        - description: The parent accountId of the business.
          in: header
          name: accountId
          schema:
            type: string
            format: uuid
            example: 890022ce-bae0-45c1-9b9d-ee7872e6ca27
          required: true
        - description: The accountId to transfer from.
          example: 2242b79d-f2cf-4ccc-ada1-e890bd1a9f0d
          in: path
          name: subAccountId
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/WalletTransferRequest'
        description: The request payload required to perform a wallet transfer.
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: string
                    example: '00'
                    description: Response Code
                  description:
                    type: string
                    example: Success
                    description: Response description
                  data:
                    $ref: '#/components/schemas/WalletTransferResult'
                required:
                  - code
                  - description
                  - data
          description: OK - your request was successful.
          headers:
            X-Rate-Limit-Limit:
              description: The number of allowed requests in the current period
              schema:
                type: string
                example: '40'
            X-Rate-Limit-Remaining:
              description: The number of remaining requests in the current period
              schema:
                type: string
                example: '39'
            X-Rate-Limit-Window:
              description: The specified rate limit window
              schema:
                type: string
                example: 1s
        '201':
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: string
                    example: '201'
                  description:
                    type: string
                    example: PROCESSING
                  message:
                    type: string
                    example: Unable to process response, please rely on web hook
                  status:
                    type: boolean
                    example: false
                  data:
                    type: object
                    properties:
                      status:
                        type: string
                        example: PENDING_BILLING
          description: >-
            Transfer is being processed — the final status will be delivered via
            webhook. Mark the transaction as pending and do not retry with a new
            reference.
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RequestError'
          description: The request body sent by merchant did not pass the validation checks
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AuthenticationError'
          description: >-
            The access_token provided to access the resource is missing or
            invalid.
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AuthorizationError'
          description: The client does not have the permissions to access this resource
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RecordNotFoundError'
          description: The record that the client is trying to access does not exist.
        '429':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RateLimitError'
          description: >-
            The client has maxed out the number of calls within a time period on
            this resource.
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ServerError'
          description: Downstream system error.
      security:
        - BearerAuth: []
components:
  schemas:
    WalletTransferRequest:
      type: object
      description: A structure representing an object required to post a wallet transfer.
      properties:
        amount:
          type: number
          format: double
          description: The amount to be transferred.
          example: 3500
        receiverAccountId:
          type: string
          format: uuid
          description: The receiver's accountId.
          example: 890022ce-bae0-45c1-9b9d-ee7872e6ca27
        merchantTxRef:
          type: string
          description: >-
            Unique reference used to track a transaction from an external
            process. 
             
            This is an idempotency key and must be unique per transaction.
          example: UNQ_123abGGhh5546
        narration:
          type: string
          description: The payment narration
          example: Testing Payment
      required:
        - amount
        - receiverAccountId
        - merchantTxRef
    WalletTransferResult:
      type: object
      properties:
        amount:
          type: number
          format: double
          description: Transfer amount
          example: 5502
        meta:
          $ref: '#/components/schemas/WalletTransferMetaObject'
        fee:
          type: number
          format: double
          description: Transfer fee
          example: 50
        timeCreated:
          type: string
          format: date-time
          description: Creation timestamp
          example: '2023-09-08T14:17:13.634Z'
        id:
          type: string
          description: Transfer ID
          example: API-P2P-C24AD-a6443bf0-011c-4bc2-b739-4a2e33e2a27b
        type:
          type: string
          description: Transaction type
          enum:
            - withdrawal
            - purchase
            - transfer
            - p2p
            - online_checkout
            - qrt_credit
            - qrt_debit
          example: p2p
        status:
          type: string
          description: Transaction status
          enum:
            - SUCCESS
            - PENDING_BILLING
            - REFUND
            - CANCELLED
            - PAYMENT_FAILED
            - REVERSED_BY_VENDOR
          example: SUCCESS
      required:
        - amount
        - meta
        - fee
        - timeCreated
        - id
        - type
        - status
      description: Transfer data
    RequestError:
      type: object
      description: Request Error response.
      properties:
        code:
          type: string
          description: API error code.
          example: '400'
        description:
          type: string
          description: Additional details about the error.
          example: Request failed.
    AuthenticationError:
      type: object
      description: Authentication Error response.
      properties:
        code:
          type: string
          description: API error code.
          example: '401'
        description:
          type: string
          description: Additional details about the error.
          example: Unauthorized
    AuthorizationError:
      type: object
      description: Permissions error response.
      properties:
        code:
          type: string
          description: API error code.
          example: '403'
        description:
          type: string
          description: Additional details about the error.
          example: Forbidden
    RecordNotFoundError:
      type: object
      description: Record-Not-Found error response.
      properties:
        code:
          type: string
          description: API error code.
          example: '404'
        description:
          type: string
          description: Additional details about the error.
          example: Record not found
    RateLimitError:
      type: object
      description: Rate-limit error response.
      properties:
        code:
          type: string
          description: API error code.
          example: '429'
        description:
          type: string
          description: Additional details about the error.
          example: Too many requests
    ServerError:
      type: object
      description: Server error response.
      properties:
        code:
          type: string
          description: API error code.
          example: '500'
        description:
          type: string
          description: Additional details about the error.
          example: Server error
    WalletTransferMetaObject:
      type: object
      properties:
        merchantTxRef:
          type: string
          description: Merchant transaction reference
          example: 3JVW2xJCjj443oannREBuTaXDdji
        api_client_id:
          type: string
          description: API client ID
          example: 6a7bed88-7c93-4a1c-a445-f88edbca6489
        api_account_id:
          type: string
          description: API account ID
          example: 01a10aeb-d989-460a-bbde-9842f2b4320f
        rrn:
          type: string
          description: RRN (Retrieval Reference Number)
          example: '230908151711'
      description: Transaction meta data
  securitySchemes:
    BearerAuth:
      description: >-
        Nomba authenticates API calls with [OAuth2 HTTP bearer
        tokens](http://tools.ietf.org/html/rfc6750). There are two methods of
        authentication; [Client-Credentials
        method](https://www.rfc-editor.org/rfc/rfc6749) and [PKCE (Proof Key for
        Code Exchange)](https://www.rfc-editor.org/rfc/rfc7636) method. In each
        of the methods, You will get an `ACCESS_TOKEN`. You need to use an
        `"Authorization"` HTTP header to provide your `ACCESS_TOKEN`. For
        example: `Authorization: {ACCESS_TOKEN}`.
      scheme: bearer
      type: http
      bearerFormat: JWT

````